package gov.va.med.esr.common.batchprocess;

import gov.va.med.fw.model.AbstractEntity;
import gov.va.med.person.idmgmt.VPID;

import org.apache.commons.lang.builder.ToStringBuilder;

public class AbandonedAppData extends AbstractEntity {


	/**
	  * CCR13649
	  AA_*.txt input file
	  PERSON_ID^VPID_VALUE^CANCEL_DECLINE_DATE (YYYYMMDD)
	  373960531^0000001012566950V875975000000^20150215
	  377476017^0000001012566950V875975000000^20131112
	 */
	private static final long serialVersionUID = -4428932523399533763L;

	private String personId;
	private String vpid;
	private String date;

	public String getPersonId() {
		return personId;
	}

	public void setPersonId(String personId) {
		this.personId = personId;
	}

	public String getVpid() {
		return vpid;
	}

	public void setVpid(String vpid) {
		this.vpid = vpid;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	protected void buildToString(ToStringBuilder builder) {
		builder.append("personId", personId).
				append("vpid", vpid).
				append("date", date);
	}
}
